pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/38284: lynx doesn't install lynx.lss

>Number:         38284
>Category:       pkg
>Synopsis:       lynx doesn't install lynx.lss
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Sun Mar 23 22:25:00 +0000 2008
>Originator:     Daniel Horecki
>Release:        netbsd-current
NetBSD tatooine.stars 4.99.55 NetBSD 4.99.55 (TATOOINE) #14: Sat Mar  8 
17:35:26 CET 2008  
root%tatooine.stars@localhost:/usr/obj/sys/arch/i386/compile/TATOOINE i386

Since couple of releases lynx doesn't install file lynx.lss from samples 
directory. And install now results in:

pkg_admin: lynx- File `/usr/pkg/share/examples/lynx/lynx.lss'
is in +CONTENTS but not on filesystem!
lynx- requires installed package libslang-1.4.9nb7
lynx- requires installed package unzip-5.52nb4
ERROR: CONF_FILE /usr/pkg/share/examples/lynx/lynx.lss does not exist.

make install in www/lynx
Remove config file lynx.lss:

--- Makefile    18 Jan 2008 05:09:51 -0000      1.103
+++ Makefile    23 Mar 2008 21:43:15 -0000
@@ -39,7 +39,6 @@
 USE_TOOLS+=            gzip msgfmt unzip:run
 CONF_FILES+=           share/examples/lynx/lynx.cfg ${PKG_SYSCONFDIR}/lynx.cfg
-CONF_FILES+=           share/examples/lynx/lynx.lss ${PKG_SYSCONFDIR}/lynx.lss
 # But no dependency on Perl.
 REPLACE_PERL+=                 samples/

Or install manually that file. 

Home | Main Index | Thread Index | Old Index